#### D.8.8.8 evalPolyAtBox

Procedure from library `rootisolation.lib` (see rootisolation_lib).

Usage:
  `evalPolyAtBox(f, B)`; `f poly, B box`

Return:
  interval, evaluation of `f` at `B` using interval arithmetic

Purpose:
  computes an interval extension of the polynomial

Example:

    LIB "rootisolation.lib";
    ring R = 0,(x,y),dp;
    poly f = x2+y-1;
    box B = list(bounds(-1,1), bounds(1,3)/2);
    interval I = evalPolyAtBox(f, B); I;
    ==> [-1/2, 3/2]

User manual for Singular version 4.4.1, 2025, generated by texi2html.